Subject: Re: IDE cable detection on Apple PowerBook

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 20 Mar 2009 08:14:14 +1100

On Thu, 2009-03-19 at 16:41 +0300, Anton Vorontsov wrote:
> 
> The other option is to enable BLK_DEV_IDE_PMAC_SHORTCABLE by default,
> but I'm not sure if it's safe thing to do (most probably not).

It should be allright for powerbooks. If the firmware says 80 pin cable,
then it probably is, and in fact, It used to work, I think the test in
the IDE code is new there, and MacOS X solely relies on the firmware
data.

Ben.